# RASFiles Class

### NAMESPACE

RASAdminEngine.Core.OutputModels

### DESCRIPTION

RAS Files

### INHERITED FROM

-none-

### INTERFACES

* IList\<String>
* ICollection\<String>
* IEnumerable\<String>
* IEnumerable
* IList
* ICollection
* IReadOnlyList\<String>
* IReadOnlyCollection\<String>

### PUBLIC PROPERTIES

| Type   | Name        | Description |   |
| ------ | ----------- | ----------- | - |
| Int32  | Capacity    |             |   |
| Int32  | Count       |             |   |
| String | Item        |             |   |
| String | ZipFilePath |             |   |

### PUBLIC METHODS

| Type                        | Name                                                                              | Description |   |
| --------------------------- | --------------------------------------------------------------------------------- | ----------- | - |
| Void                        | Add (String item)                                                                 |             |   |
| Void                        | AddRange (IEnumerable\<String> collection)                                        |             |   |
| ReadOnlyCollection\<String> | AsReadOnly ()                                                                     |             |   |
| Int32                       | BinarySearch (String item)                                                        |             |   |
| Int32                       | BinarySearch (String item, IComparer\<String> comparer)                           |             |   |
| Int32                       | BinarySearch (Int32 index, Int32 count, String item, IComparer\<String> comparer) |             |   |
| Void                        | Clear ()                                                                          |             |   |
| Boolean                     | Contains (String item)                                                            |             |   |
| List\<TOutput>              | ConvertAll (Converter\<String, TOutput> converter)                                |             |   |
| Void                        | CopyTo (String\[] array, Int32 arrayIndex)                                        |             |   |
| Void                        | CopyTo (Int32 index, String\[] array, Int32 arrayIndex, Int32 count)              |             |   |
| Void                        | CopyTo (String\[] array)                                                          |             |   |
| String                      | CreateZipPath (String filename)                                                   |             |   |
| Boolean                     | Equals (Object obj)                                                               |             |   |
| Boolean                     | Exists (Predicate\<String> match)                                                 |             |   |
| String                      | Find (Predicate\<String> match)                                                   |             |   |
| List\<String>               | FindAll (Predicate\<String> match)                                                |             |   |
| Int32                       | FindIndex (Predicate\<String> match)                                              |             |   |
| Int32                       | FindIndex (Int32 startIndex, Int32 count, Predicate\<String> match)               |             |   |
| Int32                       | FindIndex (Int32 startIndex, Predicate\<String> match)                            |             |   |
| String                      | FindLast (Predicate\<String> match)                                               |             |   |
| Int32                       | FindLastIndex (Predicate\<String> match)                                          |             |   |
| Int32                       | FindLastIndex (Int32 startIndex, Predicate\<String> match)                        |             |   |
| Int32                       | FindLastIndex (Int32 startIndex, Int32 count, Predicate\<String> match)           |             |   |
| Void                        | ForEach (Action\<String> action)                                                  |             |   |
| List\<String>               | GetEnumerator ()                                                                  |             |   |
| Int32                       | GetHashCode ()                                                                    |             |   |
| List\<String>               | GetRange (Int32 index, Int32 count)                                               |             |   |
| Type                        | GetType ()                                                                        |             |   |
| Int32                       | IndexOf (String item)                                                             |             |   |
| Int32                       | IndexOf (String item, Int32 index)                                                |             |   |
| Int32                       | IndexOf (String item, Int32 index, Int32 count)                                   |             |   |
| Void                        | Insert (Int32 index, String item)                                                 |             |   |
| Void                        | InsertRange (Int32 index, IEnumerable\<String> collection)                        |             |   |
| Int32                       | LastIndexOf (String item)                                                         |             |   |
| Int32                       | LastIndexOf (String item, Int32 index, Int32 count)                               |             |   |
| Int32                       | LastIndexOf (String item, Int32 index)                                            |             |   |
| Boolean                     | Remove (String item)                                                              |             |   |
| Int32                       | RemoveAll (Predicate\<String> match)                                              |             |   |
| Void                        | RemoveAt (Int32 index)                                                            |             |   |
| Void                        | RemoveRange (Int32 index, Int32 count)                                            |             |   |
| Void                        | Reverse ()                                                                        |             |   |
| Void                        | Reverse (Int32 index, Int32 count)                                                |             |   |
| Void                        | Sort ()                                                                           |             |   |
| Void                        | Sort (Comparison\<String> comparison)                                             |             |   |
| Void                        | Sort (Int32 index, Int32 count, IComparer\<String> comparer)                      |             |   |
| Void                        | Sort (IComparer\<String> comparer)                                                |             |   |
| String\[]                   | ToArray ()                                                                        |             |   |
| String                      | ToString ()                                                                       |             |   |
| Void                        | TrimExcess ()                                                                     |             |   |
| Boolean                     | TrueForAll (Predicate\<String> match)                                             |             |   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/class/rasfiles-class.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
